Bug 820859 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'setattr' accesses on the directory at-spi2.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'setattr' accesse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:04e7932fab4231e78d5597ce608...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 04:33 EDT by Petr Schindler
Modified: 2012-06-30 17:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-05-11 04:33:31 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Fri 11 May 2012 10:32:56 AM CEST

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'setattr' accesses on the directory at-spi2.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-video-thumbnailer should be allowed setattr access on the at-spi2 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:xdm_tmp_t:s0
:Target Objects                at-spi2 [ dir ]
:Source                        totem-video-thu
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           totem-3.4.1-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.4-5.fc17.x86_64 #1 SMP Mon May 7 17:29:34 UTC
:                              2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 11 May 2012 10:29:59 AM CEST
:Last Seen                     Fri 11 May 2012 10:29:59 AM CEST
:Local ID                      2eefd99e-f7d8-403a-bff4-66f49ea20cde
:
:Raw Audit Messages
:type=AVC msg=audit(1336724999.677:274): avc:  denied  { setattr } for  pid=30743 comm="totem-video-thu" name="at-spi2" dev="sda7" ino=262155 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_tmp_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1336724999.677:274): arch=x86_64 syscall=chmod success=no exit=EPERM a0=7fcd2a151761 a1=3ff a2=11 a3=7fffc38f8810 items=0 ppid=1 pid=30743 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: totem-video-thu,thumb_t,xdm_tmp_t,dir,setattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-22 08:57:21 EDT
Fixed in selinux-policy-3.10.0-133.fc17.noarch
Comment 2 Fedora Update System 2012-06-26 17:46:53 EDT
selinux-policy-3.10.0-134.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-134.fc17
Comment 3 Fedora Update System 2012-06-27 23:36:37 EDT
Package selinux-policy-3.10.0-134.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-134.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10008/selinux-policy-3.10.0-134.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-30 17:50:37 EDT
selinux-policy-3.10.0-134.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.